curl -X PUT https://app.drime.cloud/api/v1/file-entries/485529678 \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "vacation-photo.jpg",
"description": "Beach sunset from our trip"
}'
const entryId = 485529678;
const response = await fetch(
`https://app.drime.cloud/api/v1/file-entries/${entryId}`,
{
method: 'PUT',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'vacation-photo.jpg',
description: 'Beach sunset from our trip'
})
}
);
const { fileEntry } = await response.json();
import requests
entry_id = 485529678
response = requests.put(
f'https://app.drime.cloud/api/v1/file-entries/{entry_id}',
headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'},
json={
'name': 'vacation-photo.jpg',
'description': 'Beach sunset from our trip'
}
)
file_entry = response.json()['fileEntry']
{
"status": "success",
"fileEntry": {
"id": 485529678,
"name": "vacation-photo.jpg",
"description": "Beach sunset from our trip",
"type": "image",
"updated_at": "2024-01-20T15:30:00.000000Z"
}
}
Files & Folders
Update File Entry
Rename or update file/folder details
PUT
/
file-entries
/
{entryId}
curl -X PUT https://app.drime.cloud/api/v1/file-entries/485529678 \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "vacation-photo.jpg",
"description": "Beach sunset from our trip"
}'
const entryId = 485529678;
const response = await fetch(
`https://app.drime.cloud/api/v1/file-entries/${entryId}`,
{
method: 'PUT',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'vacation-photo.jpg',
description: 'Beach sunset from our trip'
})
}
);
const { fileEntry } = await response.json();
import requests
entry_id = 485529678
response = requests.put(
f'https://app.drime.cloud/api/v1/file-entries/{entry_id}',
headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'},
json={
'name': 'vacation-photo.jpg',
'description': 'Beach sunset from our trip'
}
)
file_entry = response.json()['fileEntry']
{
"status": "success",
"fileEntry": {
"id": 485529678,
"name": "vacation-photo.jpg",
"description": "Beach sunset from our trip",
"type": "image",
"updated_at": "2024-01-20T15:30:00.000000Z"
}
}
Overview
Updates the name or description of a file or folder.Updating an entry bumps its
updated_at timestamp. To set the file’s original
modification time (client_last_modified) or EXIF data without touching the content,
use Set File Metadata instead.Path Parameters
integer
required
The file entry ID to update
Query Parameters
integer
Workspace context
Request Body
string
New name for the entry
string
New description for the entry
Response
object
The updated file entry object
string
Request status (
success)curl -X PUT https://app.drime.cloud/api/v1/file-entries/485529678 \
-H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "vacation-photo.jpg",
"description": "Beach sunset from our trip"
}'
const entryId = 485529678;
const response = await fetch(
`https://app.drime.cloud/api/v1/file-entries/${entryId}`,
{
method: 'PUT',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'vacation-photo.jpg',
description: 'Beach sunset from our trip'
})
}
);
const { fileEntry } = await response.json();
import requests
entry_id = 485529678
response = requests.put(
f'https://app.drime.cloud/api/v1/file-entries/{entry_id}',
headers={'Authorization': 'Bearer YOUR_ACCESS_TOKEN'},
json={
'name': 'vacation-photo.jpg',
'description': 'Beach sunset from our trip'
}
)
file_entry = response.json()['fileEntry']
{
"status": "success",
"fileEntry": {
"id": 485529678,
"name": "vacation-photo.jpg",
"description": "Beach sunset from our trip",
"type": "image",
"updated_at": "2024-01-20T15:30:00.000000Z"
}
}